<?xml version="1.0" encoding="utf-8"?>
<LinearLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:background="@color/gray_bg"
    android:orientation="vertical"
    tools:context=".activity.car.ChooseDriverActivity">

    <LinearLayout
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:background="@color/white"
        android:orientation="horizontal"
        android:padding="10dp">

        <TextView
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:text="会议室类型"
            android:textColor="@color/black"
            android:textSize="15sp"
            android:textStyle="bold" />

        <TextView
            android:id="@+id/tv_type"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:clickable="true"
            android:drawableRight="@drawable/ic_arrow_right"
            android:focusable="true"
            android:gravity="right"
            android:hint="请选择会议室类型"
            android:textColor="@color/black"
            android:textStyle="bold" />

    </LinearLayout>

    <LinearLayout
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:background="@color/white"
        android:orientation="horizontal"
        android:padding="10dp">

        <TextView
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:text="会议室"
            android:textColor="@color/black"
            android:textSize="15sp"
            android:textStyle="bold" />

        <TextView
            android:id="@+id/tv_room"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:clickable="true"
            android:drawableRight="@drawable/ic_arrow_right"
            android:focusable="true"
            android:gravity="right"
            android:hint="请选择会议室"
            android:textColor="@color/black"
            android:textStyle="bold" />

    </LinearLayout>

    <LinearLayout
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:layout_marginTop="5dp"
        android:background="@color/white"
        android:gravity="center_vertical|right"
        android:orientation="horizontal"
        android:paddingLeft="10dp"
        android:paddingTop="5dp"
        android:paddingRight="10dp"
        android:paddingBottom="5dp">

        <TextView
            android:id="@+id/tv_year"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:textColor="@color/black"
            android:textSize="15sp"
            android:textStyle="bold"
            tools:text="2022" />

        <TextView
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginLeft="5dp"
            android:layout_marginRight="5dp"
            android:text="年"
            android:textColor="@color/black"
            android:textSize="15sp"
            android:textStyle="bold" />

        <TextView
            android:id="@+id/tv_month"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:textColor="@color/black"
            android:textSize="15sp"
            android:textStyle="bold"
            tools:text="10" />

        <TextView
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginLeft="5dp"
            android:layout_marginRight="5dp"
            android:text="月"
            android:textColor="@color/black"
            android:textSize="15sp"
            android:textStyle="bold" />

        <TextView
            android:id="@+id/tv_day"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:textColor="@color/black"
            android:textSize="15sp"
            android:textStyle="bold"
            tools:text="10" />

        <TextView
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginLeft="5dp"
            android:layout_marginRight="5dp"
            android:text="日"
            android:textColor="@color/black"
            android:textSize="15sp"
            android:textStyle="bold" />

    </LinearLayout>


    <com.haibin.calendarview.CalendarLayout
        android:id="@+id/calendarLayout"
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:background="@color/white"
        android:orientation="vertical"
        app:calendar_content_view_id="@+id/rl_record"
        app:default_status="expand">


        <com.haibin.calendarview.CalendarView
            android:id="@+id/calendarView"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:background="#fff"
            app:current_day_lunar_text_color="#ff0000"
            app:current_day_text_color="#ff0000"
            app:current_month_lunar_text_color="#CFCFCF"
            app:current_month_text_color="#333333"
            app:lunar_text_size="10sp"
            app:max_year="2050"
            app:max_year_day="31"
            app:max_year_month="12"
            app:min_year="2018"
            app:min_year_day="1"
            app:min_year_month="1"
            app:month_view="com.tenlionsoft.baselib.core.widget.calendar.CustomMonthView"
            app:month_view_auto_select_day="last_select_day_ignore_current"
            app:month_view_show_mode="mode_only_current"
            app:other_month_lunar_text_color="#e1e1e1"
            app:other_month_text_color="#e1e1e1"
            app:scheme_lunar_text_color="#CFCFCF"
            app:scheme_text="假"
            app:scheme_text_color="#333"
            app:scheme_theme_color="#128c4b"
            app:selected_lunar_text_color="#128c4b"
            app:selected_text_color="#128c4b"
            app:selected_theme_color="#80cfcfcf"
            app:week_background="#fff"
            app:week_bar_height="46dp"
            app:week_line_background="#00000000"
            app:week_line_margin="16dp"
            app:week_start_with="sun"
            app:week_text_color="#111111"
            app:week_text_size="10sp"
            app:week_view="com.tenlionsoft.baselib.core.widget.calendar.CustomWeekView"
            app:week_view_scrollable="false"
            app:year_view_background="#f6f6f6"
            app:year_view_day_text_color="#333333"
            app:year_view_day_text_size="8sp"
            app:year_view_month_text_color="#ff0000"
            app:year_view_month_text_size="20sp"
            app:year_view_scheme_color="#f17706"
            app:year_view_week_height="0dp"
            app:year_view_week_text_color="#666666"
            app:year_view_week_text_size="7sp" />

        <RelativeLayout
            android:id="@+id/rl_record"
            android:layout_width="match_parent"
            android:layout_height="wrap_content">

            <androidx.recyclerview.widget.RecyclerView
                android:id="@+id/rlv_content"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:background="@color/white"
                android:paddingLeft="5dp"
                android:paddingRight="5dp" />

            <LinearLayout
                android:id="@+id/ll_hint"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_centerHorizontal="true"
                android:layout_marginTop="20dp"
                android:gravity="center"
                android:orientation="vertical">

                <ImageView
                    android:layout_width="50dp"
                    android:layout_height="50dp"
                    android:src="@drawable/ic_empty_data" />

                <TextView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_marginTop="10dp"
                    android:gravity="center"
                    android:text="所选日期\n未安排会议"
                    android:textSize="12sp" />
            </LinearLayout>

        </RelativeLayout>

    </com.haibin.calendarview.CalendarLayout>

</LinearLayout>